Bug 464511 - openmpi-libs will not uninstall due to %preun script returning non-zero result code
openmpi-libs will not uninstall due to %preun script returning non-zero resul...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openmpi (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-29 10:04 EDT by Matt Thompson
Modified: 2009-07-14 12:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:56:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Thompson 2008-09-29 10:04:56 EDT
Thanks to the efforts of skvidal on #yum, I think we found a bug in the openmpi packaging, it looks like.  Namely, openmpi-libs-1.2.4-2 would not remove due to a non-zero result code from a %preun script (according to skvidal...this amount of rpm/yum is over my head).  To wit, here is the history...

First, I tried the usual way:

http://fpaste.org/paste/6713

When that failed, I went to #redhat, got lost in the noise and moved to #yum.  There, skvidal recommended a more verbose level of yum:

http://pastebin.com/m4d35178e

Highlighted there is the odd result that led skvidal down the path with these commands:

# rpm -e --allmatches openmpi-libs
error: %preun(openmpi-libs-1.2.4-2.fc9.i386) scriptlet failed, exit status 2
error: %preun(openmpi-libs-1.2.4-2.fc9.x86_64) scriptlet failed, exit status 2

# rpm -q --scripts openmpi-libs
postinstall scriptlet (using /bin/sh):
alternatives --install /etc/ld.so.conf.d/mpi64.conf \
		mpilibs64 /usr/lib64/openmpi/1.2.4-gcc/openmpi.ld.conf 11
/sbin/ldconfig
preuninstall scriptlet (using /bin/sh):
alternatives --remove mpilibs64 /usr/lib64/openmpi/1.2.4-gcc/openmpi.ld.conf
postuninstall program: /sbin/ldconfig
postinstall scriptlet (using /bin/sh):
alternatives --install /etc/ld.so.conf.d/mpi32.conf \
		mpilibs32 /usr/lib/openmpi/1.2.4-gcc/openmpi.ld.conf 10
/sbin/ldconfig
preuninstall scriptlet (using /bin/sh):
alternatives --remove mpilibs32 /usr/lib/openmpi/1.2.4-gcc/openmpi.ld.conf
postuninstall program: /sbin/ldconfig

# alternatives --remove mpilibs32 /usr/lib/openmpi/1.2.4-gcc/openmpi.ld.conf
(no output)

# alternatives --remove mpilibs32 /usr/lib/openmpi/1.2.4-gcc/openmpi.ld.conf ; echo $?
2

skvidal said this was "not right" and recommended this to remove:

# rpm -e --noscripts --allmatches openmpi-libs

And that did indeed work.

In doing due diligence for this bug, I found RHEL bug 463443, which might be related to this, but I'm not important enough to view the related bug 460878 which this report might dupe for F9.  If so, my apologies.

I also don't know if I should Sensitive this bug if it *is* similar.
Comment 1 Doug Ledford 2008-09-29 10:28:06 EDT
Yeah, this is basically a dup of one of several bugs I had against the rhel openmpi package.  The fedora package will pick up the various fixes shortly.
Comment 2 Matt Thompson 2008-09-29 11:03:05 EDT
FYI, in my continuing journey of hate for MPI, I've also found that lam-libs seems to return the same sort of %preun error upon uninstall attempt.
Comment 3 Doug Ledford 2009-03-19 15:12:31 EDT
Jay is helping out with Open MPI issues, so added him to the Cc list.
Comment 4 Bug Zapper 2009-06-09 22:50:27 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 12:56:08 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.